org.cybergarage.soap

## Class SOAPResponse

- java.lang.Object
- - org.cybergarage.http.HTTPPacket
  - - org.cybergarage.http.HTTPResponse
    - - org.cybergarage.soap.SOAPResponse

- Direct Known Subclasses:
    ControlResponse

      public class SOAPResponse
      extends HTTPResponse

  Represents a SOAP (Simple Object Access Protocol) response message.

  This class extends HTTPResponse to handle SOAP protocol responses used in UPnP control operations. It provides functionality for creating and parsing SOAP responses with proper XML formatting and envelope structure.

  Key features:

  - SOAP envelope and body creation
  - XML content management
  - UTF-8 encoding support
  - HTTP response integration
  - Fault message handling

  This class is used by UPnP devices to send action invocation responses to control points, enabling structured XML responses through SOAP messaging over HTTP.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SOAPResponse()`
    `SOAPResponse(HTTPResponse httpRes)`
    `SOAPResponse(SOAPResponse soapRes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Node` | `getBodyNode()`
    `Node` | `getEnvelopeNode()`
    `String` | `getFaultActor()`
    `Node` | `getFaultActorNode()`
    `String` | `getFaultCode()`
    `Node` | `getFaultCodeNode()`
    `Node` | `getFaultDetailNode()`
    `Node` | `getFaultNode()`
    `String` | `getFaultString()`
    `Node` | `getFaultStringNode()`
    `Node` | `getMethodResponseNode(String name)`
    `void` | `print()`
    `void` | `setContent(Node node)`
    `void` | `setEnvelopeNode(Node node)`

    - ### Methods inherited from class org.cybergarage.http.HTTPResponse

      `getHeader, getStatusCode, getStatusLineString, isSuccessful, setStatusCode, toString`

    - ### Methods inherited from class org.cybergarage.http.HTTPPacket

      `addHeader, addHeader, clearHeaders, getCacheControl, getCharSet, getConnection, getContent, getContentInputStream, getContentLanguage, getContentLength, getContentRange, getContentRangeFirstPosition, getContentRangeInstanceLength, getContentRangeLastPosition, getContentString, getContentType, getDate, getFirstLine, getFirstLineToken, getHeader, getHeader, getHeaderString, getHeaderValue, getHost, getIntegerHeaderValue, getLongHeaderValue, getNHeaders, getServer, getStringHeaderValue, getStringHeaderValue, getTransferEncoding, getVersion, hasConnection, hasContent, hasContentInputStream, hasContentRange, hasFirstLine, hasHeader, hasTransferEncoding, init, isChunked, isCloseConnection, isKeepAliveConnection, read, set, set, set, set, setCacheControl, setCacheControl, setCacheControl, setConnection, setContent, setContent, setContent, setContent, setContentInputStream, setContentLanguage, setContentLength, setContentRange, setContentType, setDate, setHeader, setHeader, setHeader, setHeader, setHost, setIntegerHeader, setLongHeader, setServer, setStringHeader, setStringHeader, setTransferEncoding, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SOAPResponse

          public SOAPResponse()

    - #### SOAPResponse

          public SOAPResponse(HTTPResponse httpRes)

    - #### SOAPResponse

          public SOAPResponse(SOAPResponse soapRes)

  - ### Method Detail

    - #### getBodyNode

          public Node getBodyNode()

    - #### getEnvelopeNode

          public Node getEnvelopeNode()

    - #### getFaultActor

          public String getFaultActor()

    - #### getFaultActorNode

          public Node getFaultActorNode()

    - #### getFaultCode

          public String getFaultCode()

    - #### getFaultCodeNode

          public Node getFaultCodeNode()

    - #### getFaultDetailNode

          public Node getFaultDetailNode()

    - #### getFaultNode

          public Node getFaultNode()

    - #### getFaultString

          public String getFaultString()

    - #### getFaultStringNode

          public Node getFaultStringNode()

    - #### getMethodResponseNode

          public Node getMethodResponseNode(String name)

    - #### print

          public void print()

      Overrides:
        `print` in class `HTTPResponse`

    - #### setContent

          public void setContent(Node node)

    - #### setEnvelopeNode

          public void setEnvelopeNode(Node node)